Could not calculate the upgrade when updating ubuntu 10.04 to ubuntu 10.10

Bug #663158 reported by makafsal
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: update-manager

When upgrading Ubuntu to version 10.10
The error occur in "Setting New software Chanels". The error is following:

Could not calculate the upgrade

An unresolvable problem occurred while calculating the upgrade:
E:Unable to correct problems, you have held broken packages.

 This can be caused by:
 * Upgrading to a pre-release version of Ubuntu
 * Running the current pre-release version of Ubuntu
 * Unofficial software packages not provided by Ubuntu

If none of this applies, then please report this bug against the 'update-manager' package and include the files in /var/log/dist-upgrade/ in the bug report.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: update-manager 1:0.134.7
ProcVersionSignature: Ubuntu 2.6.32-21.32-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-21-generic i686
Architecture: i386
Date: Tue Oct 19 14:42:20 2010
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.utf8
 SHELL=/bin/bash
SourcePackage: update-manager

Revision history for this message
makafsal (makafsal) wrote :
Revision history for this message
Jean-Baptiste Lallement (jibel) wrote :

Thanks for taking the time to report this bug and helping to make Ubuntu better. Could you please add the log files from '/var/log/dist-upgrade/' to this bug report as separate attachments? Thanks in advance.

Changed in update-manager (Ubuntu):
status: New → Incomplete
Revision history for this message
Manfred Hampl (m-hampl) wrote :

There are (at least) two bugs that look rather similar:
bug 658458 and bug 658581
In both cases removal of xserver-xorg-video-nouveau was reported as solution by the affeced persons.

Can you check if you have xserver-xorg-video-nouveau installed?
If you have, can you try to remove that package and start the upgrade again?

regards, MH

Revision history for this message
Launchpad Janitor (janitor) wrote :

[Expired for update-manager (Ubuntu) because there has been no activity for 60 days.]

Changed in update-manager (Ubuntu):
status: Incomplete → Expired
Revision history for this message
abhra (abhraecon) wrote :

Thanks. Removal of xserver-xorg-video-nouveau helps.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers